Summary:	Music player for GNOME
Summary(pl.UTF-8):	Odtwarzacz muzyki dla GNOME
Name:		gnome-music
Version:	47.1
Release:	4
License:	GPL v2 with GStreamer plugins exceptions
Group:		X11/Applications/Multimedia
Source0:	https://download.gnome.org/sources/gnome-music/47/%{name}-%{version}.tar.xz
# Source0-md5:	a0fb61a60e2c67e21e1a69b8183ac155
Patch0:		%{name}-deps.patch
Patch1:		%{name}-no-update.patch
URL:		https://apps.gnome.org/Music/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.67.1
BuildRequires:	gnome-online-accounts-devel >= 3.36.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	grilo-devel >= 0.3.13
BuildRequires:	gtk4-devel >= 4.10.0
BuildRequires:	libadwaita-devel >= 1.5
BuildRequires:	libmediaart2-devel >= 1.9.1
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.44.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-pycairo-devel >= 1.14.0
BuildRequires:	python3-pygobject3-devel >= 3.47.0
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker3-devel >= 3.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.67.1
Requires(post,postun):	gtk-update-icon-cache
Requires:	gdk-pixbuf2 >= 2.0
Requires:	glib2 >= 1:2.67.1
Requires:	gnome-online-accounts >= 3.36.0
Requires:	gobject-introspection >= 1.36.0
Requires:	grilo >= 0.3.13
Requires:	grilo-plugins >= 0.3.12
Requires:	gstreamer >= 1.0.0
Requires:	gstreamer-plugins-base >= 1.0.0
Requires:	gtk4 >= 4.10.0
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.5
Requires:	libmediaart2 >= 1.9.1
Requires:	libnotify
Requires:	pango >= 1:1.44.0
Requires:	python3-dbus
Requires:	python3-pycairo >= 1.14.0
Requires:	python3-pygobject3 >= 3.47.0
Requires:	python3-requests
Requires:	tracker3-libs >= 3.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Music is a music player for GNOME.

%description -l pl.UTF-8
GNOME Music to odtwarzacz muzyki dla GNOME.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' gnome-music.in

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang org.gnome.Music --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f org.gnome.Music.lang
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-music
%{_datadir}/glib-2.0/schemas/org.gnome.Music.gschema.xml
%{_datadir}/metainfo/org.gnome.Music.appdata.xml
%{_datadir}/org.gnome.Music
%{_desktopdir}/org.gnome.Music.desktop
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Music-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Music.svg
%{py3_sitescriptdir}/gnomemusic
%changelog
* Sat Mar 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-music.git;a=log;h=master

* Sat Mar 29 2025 Jakub Bogusz <qboosh@pld-linux.org> 67df04e
- release 4 (python 3.13)

* Sat Mar 29 2025 Jakub Bogusz <qboosh@pld-linux.org> f67567e
- updated meson macros

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b18e551
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0df240e
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 605594c
- python 3.13 rebuild

* Tue Nov 26 2024 Jakub Bogusz <qboosh@pld-linux.org> b3b11f9
- updated to 47.1

* Fri Sep 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 9aa6136
- updated to 47.0

* Tue Jul 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 8b23019
- updated to 46.1

* Thu May 09 2024 Jakub Bogusz <qboosh@pld-linux.org> bb237cb
- updated to 46.0

* Tue Feb 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 15b2e24
- updated to 45.1

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 8790b08
- updated to 45.0

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 21cbabb
- updated to 44.0

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 25a049b
- updated to 42.1

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 7c7ce04
- noarch (pure Python app); release 2

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 662466b
- updated to 42.0
- updated deps patch
- removed obsolete meson0.60 patch
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Sun Apr 03 2022 Jan Rękorajski <baggins@pld-linux.org> 7cc0167
- Release 4 (by relup.sh)

* Sun Apr 03 2022 Jan Rękorajski <baggins@pld-linux.org> 1900d96
- fix building with meson 0.60+ and update python packaging

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7ef6587
- rebuild with python 3.10

* Tue Sep 28 2021 Jakub Bogusz <qboosh@pld-linux.org> f6f4b0a
- rediffed, release 2

* Mon Sep 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 87c5b4e
- updated to 41.0

